#version 120
varying vec2 uv;

uniform vec4 color;
uniform sampler2D textureSampler;

void main() {
	vec4 texColor = texture2D(textureSampler, uv).rgba;
	texColor.rgb *= color.rgb;
	texColor.rgb *= color.a;
	gl_FragColor = vec4(texColor.rgb, 0.0);
}